package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.MallImgShow;

/**
 * 小程序图片展示Service接口
 * 
 * @author ruoyi
 * @date 2022-12-07
 */
public interface IMallImgShowService 
{
    /**
     * 查询小程序图片展示
     * 
     * @param id 小程序图片展示主键
     * @return 小程序图片展示
     */
    public MallImgShow selectMallImgShowById(Long id);

    /**
     * 查询小程序图片展示列表
     * 
     * @param mallImgShow 小程序图片展示
     * @return 小程序图片展示集合
     */
    public List<MallImgShow> selectMallImgShowList(MallImgShow mallImgShow);

    /**
     * 新增小程序图片展示
     * 
     * @param mallImgShow 小程序图片展示
     * @return 结果
     */
    public int insertMallImgShow(MallImgShow mallImgShow);

    /**
     * 修改小程序图片展示
     * 
     * @param mallImgShow 小程序图片展示
     * @return 结果
     */
    public int updateMallImgShow(MallImgShow mallImgShow);

    /**
     * 批量删除小程序图片展示
     * 
     * @param ids 需要删除的小程序图片展示主键集合
     * @return 结果
     */
    public int deleteMallImgShowByIds(Long[] ids);

    /**
     * 删除小程序图片展示信息
     * 
     * @param id 小程序图片展示主键
     * @return 结果
     */
    public int deleteMallImgShowById(Long id);

    public  MallImgShow selectMallImgShowadpopups();

    public  MallImgShow selectMallpurchasingnotice();
}
